Loading...
Searching...
No Matches
Catch::Benchmark::Detail::BenchmarkFunction::callable Struct Referenceabstract
Inheritance diagram for Catch::Benchmark::Detail::BenchmarkFunction::callable:
[legend]

## Public Member Functions

virtual void | call (Chronometer meter) const =0
virtual | ~callable ()
| callable ()=default
| callable (callable &&)=default
callable & | operator= (callable &&)=default

## Constructor & Destructor Documentation

## ~callable()

Catch::Benchmark::Detail::BenchmarkFunction::callable::~callable | ( |  | ) |

virtualdefault

## callable() [1/2]

Catch::Benchmark::Detail::BenchmarkFunction::callable::callable | ( |  | ) |

default

Here is the caller graph for this function:

## callable() [2/2]

Catch::Benchmark::Detail::BenchmarkFunction::callable::callable | ( | callable && |  | ) |

default

Here is the call graph for this function:

## Member Function Documentation

## call()

virtual void Catch::Benchmark::Detail::BenchmarkFunction::callable::call | ( | Chronometer | meter | ) | const

pure virtual

Implemented in Catch::Benchmark::Detail::BenchmarkFunction::model< Fun >.

## operator=()

callable & Catch::Benchmark::Detail::BenchmarkFunction::callable::operator= | ( | callable && |  | ) |

default

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp